# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::Synapse::Mgmt::V2019_06_01_preview
  module Models
    #
    # Connection information for encrypting the on-premises data source
    # credentials.
    #
    class IntegrationRuntimeConnectionInfo

      include MsRestAzure

      # @return Unmatched properties from the message are deserialized this
      # collection
      attr_accessor :additional_properties

      # @return [String] The token generated in service. Callers use this token
      # to authenticate to integration runtime.
      attr_accessor :service_token

      # @return [String] The integration runtime SSL certificate thumbprint.
      # Click-Once application uses it to do server validation.
      attr_accessor :identity_cert_thumbprint

      # @return [String] The on-premises integration runtime host URL.
      attr_accessor :host_service_uri

      # @return [String] The integration runtime version.
      attr_accessor :version

      # @return [String] The public key for encrypting a credential when
      # transferring the credential to the integration runtime.
      attr_accessor :public_key

      # @return [Boolean] Whether the identity certificate is expired.
      attr_accessor :is_identity_cert_exprired


      #
      # Mapper for IntegrationRuntimeConnectionInfo class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'IntegrationRuntimeConnectionInfo',
          type: {
            name: 'Composite',
            class_name: 'IntegrationRuntimeConnectionInfo',
            model_properties: {
              additional_properties: {
                client_side_validation: true,
                required: false,
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'ObjectElementType',
                      type: {
                        name: 'Object'
                      }
                  }
                }
              },
              service_token: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'serviceToken',
                type: {
                  name: 'String'
                }
              },
              identity_cert_thumbprint: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'identityCertThumbprint',
                type: {
                  name: 'String'
                }
              },
              host_service_uri: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'hostServiceUri',
                type: {
                  name: 'String'
                }
              },
              version: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'version',
                type: {
                  name: 'String'
                }
              },
              public_key: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'publicKey',
                type: {
                  name: 'String'
                }
              },
              is_identity_cert_exprired: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'isIdentityCertExprired',
                type: {
                  name: 'Boolean'
                }
              }
            }
          }
        }
      end
    end
  end
end
