# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::Synapse::Mgmt::V2019_06_01_preview
  module Models
    #
    # Managed integration runtime status.
    #
    class ManagedIntegrationRuntimeStatus < IntegrationRuntimeStatus

      include MsRestAzure


      def initialize
        @type = "Managed"
      end

      attr_accessor :type

      # @return [DateTime] The time at which the integration runtime was
      # created, in ISO8601 format.
      attr_accessor :create_time

      # @return [Array<ManagedIntegrationRuntimeNode>] The list of nodes for
      # managed integration runtime.
      attr_accessor :nodes

      # @return [Array<ManagedIntegrationRuntimeError>] The errors that
      # occurred on this integration runtime.
      attr_accessor :other_errors

      # @return [ManagedIntegrationRuntimeOperationResult] The last operation
      # result that occurred on this integration runtime.
      attr_accessor :last_operation


      #
      # Mapper for ManagedIntegrationRuntimeStatus class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'Managed',
          type: {
            name: 'Composite',
            class_name: 'ManagedIntegrationRuntimeStatus',
            model_properties: {
              additional_properties: {
                client_side_validation: true,
                required: false,
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'ObjectElementType',
                      type: {
                        name: 'Object'
                      }
                  }
                }
              },
              data_factory_name: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'dataFactoryName',
                type: {
                  name: 'String'
                }
              },
              state: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'state',
                type: {
                  name: 'String'
                }
              },
              type: {
                client_side_validation: true,
                required: true,
                serialized_name: 'type',
                type: {
                  name: 'String'
                }
              },
              create_time: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'typeProperties.createTime',
                type: {
                  name: 'DateTime'
                }
              },
              nodes: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'typeProperties.nodes',
                type: {
                  name: 'Sequence',
                  element: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'ManagedIntegrationRuntimeNodeElementType',
                      type: {
                        name: 'Composite',
                        class_name: 'ManagedIntegrationRuntimeNode'
                      }
                  }
                }
              },
              other_errors: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'typeProperties.otherErrors',
                type: {
                  name: 'Sequence',
                  element: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'ManagedIntegrationRuntimeErrorElementType',
                      type: {
                        name: 'Composite',
                        class_name: 'ManagedIntegrationRuntimeError'
                      }
                  }
                }
              },
              last_operation: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'typeProperties.lastOperation',
                type: {
                  name: 'Composite',
                  class_name: 'ManagedIntegrationRuntimeOperationResult'
                }
              }
            }
          }
        }
      end
    end
  end
end
