# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::Synapse::Mgmt::V2019_06_01_preview
  module Models
    #
    # A recoverable sql pool
    #
    class RecoverableSqlPool < ProxyResource

      include MsRestAzure

      # @return [String] The edition of the database
      attr_accessor :edition

      # @return [String] The service level objective name of the database
      attr_accessor :service_level_objective

      # @return [String] The elastic pool name of the database
      attr_accessor :elastic_pool_name

      # @return [DateTime] The last available backup date of the database
      # (ISO8601 format)
      attr_accessor :last_available_backup_date


      #
      # Mapper for RecoverableSqlPool class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'RecoverableSqlPool',
          type: {
            name: 'Composite',
            class_name: 'RecoverableSqlPool',
            model_properties: {
              id: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'id',
                type: {
                  name: 'String'
                }
              },
              name: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'name',
                type: {
                  name: 'String'
                }
              },
              type: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'type',
                type: {
                  name: 'String'
                }
              },
              edition: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'properties.edition',
                type: {
                  name: 'String'
                }
              },
              service_level_objective: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'properties.serviceLevelObjective',
                type: {
                  name: 'String'
                }
              },
              elastic_pool_name: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'properties.elasticPoolName',
                type: {
                  name: 'String'
                }
              },
              last_available_backup_date: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'properties.lastAvailableBackupDate',
                type: {
                  name: 'DateTime'
                }
              }
            }
          }
        }
      end
    end
  end
end
