# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::Synapse::Mgmt::V2019_06_01_preview
  module Models
    #
    # Database restore points.
    #
    class RestorePoint < ProxyResource

      include MsRestAzure

      # @return [String] Resource location.
      attr_accessor :location

      # @return [RestorePointType] The type of restore point. Possible values
      # include: 'CONTINUOUS', 'DISCRETE'
      attr_accessor :restore_point_type

      # @return [DateTime] The earliest time to which this database can be
      # restored
      attr_accessor :earliest_restore_date

      # @return [DateTime] The time the backup was taken
      attr_accessor :restore_point_creation_date

      # @return [String] The label of restore point for backup request by user
      attr_accessor :restore_point_label


      #
      # Mapper for RestorePoint class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'RestorePoint',
          type: {
            name: 'Composite',
            class_name: 'RestorePoint',
            model_properties: {
              id: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'id',
                type: {
                  name: 'String'
                }
              },
              name: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'name',
                type: {
                  name: 'String'
                }
              },
              type: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'type',
                type: {
                  name: 'String'
                }
              },
              location: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'location',
                type: {
                  name: 'String'
                }
              },
              restore_point_type: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'properties.restorePointType',
                type: {
                  name: 'Enum',
                  module: 'RestorePointType'
                }
              },
              earliest_restore_date: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'properties.earliestRestoreDate',
                type: {
                  name: 'DateTime'
                }
              },
              restore_point_creation_date: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'properties.restorePointCreationDate',
                type: {
                  name: 'DateTime'
                }
              },
              restore_point_label: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'properties.restorePointLabel',
                type: {
                  name: 'String'
                }
              }
            }
          }
        }
      end
    end
  end
end
