# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::Synapse::Mgmt::V2019_06_01_preview
  module Models
    #
    # A Sql pool connection policy.
    #
    class SqlPoolConnectionPolicy < ProxyResource

      include MsRestAzure

      # @return [String] Resource kind.
      attr_accessor :kind

      # @return [String] Resource location.
      attr_accessor :location

      # @return [String] The state of security access.
      attr_accessor :security_enabled_access

      # @return [String] The fully qualified host name of the auditing proxy.
      attr_accessor :proxy_dns_name

      # @return [String] The port number of the auditing proxy.
      attr_accessor :proxy_port

      # @return [String] The visibility of the auditing proxy.
      attr_accessor :visibility

      # @return [String] Whether server default is enabled or disabled.
      attr_accessor :use_server_default

      # @return [String] The state of proxy redirection.
      attr_accessor :redirection_state

      # @return [String] The connection policy state.
      attr_accessor :state


      #
      # Mapper for SqlPoolConnectionPolicy class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'SqlPoolConnectionPolicy',
          type: {
            name: 'Composite',
            class_name: 'SqlPoolConnectionPolicy',
            model_properties: {
              id: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'id',
                type: {
                  name: 'String'
                }
              },
              name: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'name',
                type: {
                  name: 'String'
                }
              },
              type: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'type',
                type: {
                  name: 'String'
                }
              },
              kind: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'kind',
                type: {
                  name: 'String'
                }
              },
              location: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'location',
                type: {
                  name: 'String'
                }
              },
              security_enabled_access: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.securityEnabledAccess',
                type: {
                  name: 'String'
                }
              },
              proxy_dns_name: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.proxyDnsName',
                type: {
                  name: 'String'
                }
              },
              proxy_port: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.proxyPort',
                type: {
                  name: 'String'
                }
              },
              visibility: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.visibility',
                type: {
                  name: 'String'
                }
              },
              use_server_default: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.useServerDefault',
                type: {
                  name: 'String'
                }
              },
              redirection_state: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.redirectionState',
                type: {
                  name: 'String'
                }
              },
              state: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.state',
                type: {
                  name: 'String'
                }
              }
            }
          }
        }
      end
    end
  end
end
