# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::Synapse::Mgmt::V2019_06_01_preview
  module Models
    #
    # SQL pool patch info

    # A SQL Analytics pool patch info
    #
    class SqlPoolPatchInfo

      include MsRestAzure

      # @return [Hash{String => String}] Resource tags.
      attr_accessor :tags

      # @return [String] The geo-location where the resource lives
      attr_accessor :location

      # @return [Sku] SQL pool SKU
      attr_accessor :sku

      # @return [Integer] Maximum size in bytes
      attr_accessor :max_size_bytes

      # @return [String] Collation mode
      attr_accessor :collation

      # @return [String] Source database to create from
      attr_accessor :source_database_id

      # @return [String] Backup database to restore from
      attr_accessor :recoverable_database_id

      # @return [String] Resource state
      attr_accessor :provisioning_state

      # @return [String] Resource status
      attr_accessor :status

      # @return [String] Snapshot time to restore
      attr_accessor :restore_point_in_time

      # @return [String] What is this?
      attr_accessor :create_mode

      # @return [DateTime] Date the SQL pool was created
      attr_accessor :creation_date


      #
      # Mapper for SqlPoolPatchInfo class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'SqlPoolPatchInfo',
          type: {
            name: 'Composite',
            class_name: 'SqlPoolPatchInfo',
            model_properties: {
              tags: {
                client_side_validation: true,
                required: false,
                serialized_name: 'tags',
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'StringElementType',
                      type: {
                        name: 'String'
                      }
                  }
                }
              },
              location: {
                client_side_validation: true,
                required: false,
                serialized_name: 'location',
                type: {
                  name: 'String'
                }
              },
              sku: {
                client_side_validation: true,
                required: false,
                serialized_name: 'sku',
                type: {
                  name: 'Composite',
                  class_name: 'Sku'
                }
              },
              max_size_bytes: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.maxSizeBytes',
                type: {
                  name: 'Number'
                }
              },
              collation: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.collation',
                type: {
                  name: 'String'
                }
              },
              source_database_id: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.sourceDatabaseId',
                type: {
                  name: 'String'
                }
              },
              recoverable_database_id: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.recoverableDatabaseId',
                type: {
                  name: 'String'
                }
              },
              provisioning_state: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.provisioningState',
                type: {
                  name: 'String'
                }
              },
              status: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.status',
                type: {
                  name: 'String'
                }
              },
              restore_point_in_time: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.restorePointInTime',
                type: {
                  name: 'String'
                }
              },
              create_mode: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.createMode',
                type: {
                  name: 'String'
                }
              },
              creation_date: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.creationDate',
                type: {
                  name: 'DateTime'
                }
              }
            }
          }
        }
      end
    end
  end
end
