# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::Synapse::Mgmt::V2019_06_01_preview
  module Models
    #
    # Workload group operations for a sql pool
    #
    class WorkloadGroup < ProxyResource

      include MsRestAzure

      # @return [Integer] The workload group minimum percentage resource.
      attr_accessor :min_resource_percent

      # @return [Integer] The workload group cap percentage resource.
      attr_accessor :max_resource_percent

      # @return [Float] The workload group request minimum grant percentage.
      attr_accessor :min_resource_percent_per_request

      # @return [Float] The workload group request maximum grant percentage.
      attr_accessor :max_resource_percent_per_request

      # @return [String] The workload group importance level.
      attr_accessor :importance

      # @return [Integer] The workload group query execution timeout.
      attr_accessor :query_execution_timeout


      #
      # Mapper for WorkloadGroup class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'WorkloadGroup',
          type: {
            name: 'Composite',
            class_name: 'WorkloadGroup',
            model_properties: {
              id: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'id',
                type: {
                  name: 'String'
                }
              },
              name: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'name',
                type: {
                  name: 'String'
                }
              },
              type: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'type',
                type: {
                  name: 'String'
                }
              },
              min_resource_percent: {
                client_side_validation: true,
                required: true,
                serialized_name: 'properties.minResourcePercent',
                type: {
                  name: 'Number'
                }
              },
              max_resource_percent: {
                client_side_validation: true,
                required: true,
                serialized_name: 'properties.maxResourcePercent',
                type: {
                  name: 'Number'
                }
              },
              min_resource_percent_per_request: {
                client_side_validation: true,
                required: true,
                serialized_name: 'properties.minResourcePercentPerRequest',
                type: {
                  name: 'Double'
                }
              },
              max_resource_percent_per_request: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.maxResourcePercentPerRequest',
                type: {
                  name: 'Double'
                }
              },
              importance: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.importance',
                type: {
                  name: 'String'
                }
              },
              query_execution_timeout: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.queryExecutionTimeout',
                type: {
                  name: 'Number'
                }
              }
            }
          }
        }
      end
    end
  end
end
