# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::Synapse::Mgmt::V2019_06_01_preview
  module Models
    #
    # A workspace
    #
    class Workspace < TrackedResource

      include MsRestAzure

      # @return [DataLakeStorageAccountDetails] Workspace default data lake
      # storage account details
      attr_accessor :default_data_lake_storage

      # @return [String] SQL administrator login password
      attr_accessor :sql_administrator_login_password

      # @return [String] Workspace managed resource group. The resource group
      # name uniquely identifies the resource group within the user
      # subscriptionId. The resource group name must be no longer than 90
      # characters long, and must be alphanumeric characters
      # (Char.IsLetterOrDigit()) and '-', '_', '(', ')' and'.'. Note that the
      # name cannot end with '.'
      attr_accessor :managed_resource_group_name

      # @return [String] Resource provisioning state
      attr_accessor :provisioning_state

      # @return [String] Login for workspace SQL active directory administrator
      attr_accessor :sql_administrator_login

      # @return [VirtualNetworkProfile] Virtual Network profile
      attr_accessor :virtual_network_profile

      # @return [Hash{String => String}] Connectivity endpoints
      attr_accessor :connectivity_endpoints

      # @return [String] Setting this to 'default' will ensure that all compute
      # for this workspace is in a virtual network managed on behalf of the
      # user.
      attr_accessor :managed_virtual_network

      # @return [Array<PrivateEndpointConnection>] Private endpoint connections
      # to the workspace
      attr_accessor :private_endpoint_connections

      # @return [EncryptionDetails] The encryption details of the workspace
      attr_accessor :encryption

      # @return The workspace unique identifier
      attr_accessor :workspace_uid

      # @return Workspace level configs and feature flags
      attr_accessor :extra_properties

      # @return [ManagedVirtualNetworkSettings] Managed Virtual Network
      # Settings
      attr_accessor :managed_virtual_network_settings

      # @return [WorkspaceRepositoryConfiguration] Git integration settings
      attr_accessor :workspace_repository_configuration

      # @return [PurviewConfiguration] Purview Configuration
      attr_accessor :purview_configuration

      # @return [ManagedIdentity] Identity of the workspace
      attr_accessor :identity


      #
      # Mapper for Workspace class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'Workspace',
          type: {
            name: 'Composite',
            class_name: 'Workspace',
            model_properties: {
              id: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'id',
                type: {
                  name: 'String'
                }
              },
              name: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'name',
                type: {
                  name: 'String'
                }
              },
              type: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'type',
                type: {
                  name: 'String'
                }
              },
              tags: {
                client_side_validation: true,
                required: false,
                serialized_name: 'tags',
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'StringElementType',
                      type: {
                        name: 'String'
                      }
                  }
                }
              },
              location: {
                client_side_validation: true,
                required: true,
                serialized_name: 'location',
                type: {
                  name: 'String'
                }
              },
              default_data_lake_storage: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.defaultDataLakeStorage',
                type: {
                  name: 'Composite',
                  class_name: 'DataLakeStorageAccountDetails'
                }
              },
              sql_administrator_login_password: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.sqlAdministratorLoginPassword',
                type: {
                  name: 'String'
                }
              },
              managed_resource_group_name: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.managedResourceGroupName',
                type: {
                  name: 'String'
                }
              },
              provisioning_state: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'properties.provisioningState',
                type: {
                  name: 'String'
                }
              },
              sql_administrator_login: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.sqlAdministratorLogin',
                type: {
                  name: 'String'
                }
              },
              virtual_network_profile: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.virtualNetworkProfile',
                type: {
                  name: 'Composite',
                  class_name: 'VirtualNetworkProfile'
                }
              },
              connectivity_endpoints: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.connectivityEndpoints',
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'StringElementType',
                      type: {
                        name: 'String'
                      }
                  }
                }
              },
              managed_virtual_network: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.managedVirtualNetwork',
                type: {
                  name: 'String'
                }
              },
              private_endpoint_connections: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.privateEndpointConnections',
                type: {
                  name: 'Sequence',
                  element: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'PrivateEndpointConnectionElementType',
                      type: {
                        name: 'Composite',
                        class_name: 'PrivateEndpointConnection'
                      }
                  }
                }
              },
              encryption: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.encryption',
                type: {
                  name: 'Composite',
                  class_name: 'EncryptionDetails'
                }
              },
              workspace_uid: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'properties.workspaceUID',
                type: {
                  name: 'String'
                }
              },
              extra_properties: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'properties.extraProperties',
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'ObjectElementType',
                      type: {
                        name: 'Object'
                      }
                  }
                }
              },
              managed_virtual_network_settings: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.managedVirtualNetworkSettings',
                type: {
                  name: 'Composite',
                  class_name: 'ManagedVirtualNetworkSettings'
                }
              },
              workspace_repository_configuration: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.workspaceRepositoryConfiguration',
                type: {
                  name: 'Composite',
                  class_name: 'WorkspaceRepositoryConfiguration'
                }
              },
              purview_configuration: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.purviewConfiguration',
                type: {
                  name: 'Composite',
                  class_name: 'PurviewConfiguration'
                }
              },
              identity: {
                client_side_validation: true,
                required: false,
                serialized_name: 'identity',
                type: {
                  name: 'Composite',
                  class_name: 'ManagedIdentity'
                }
              }
            }
          }
        }
      end
    end
  end
end
